﻿// Fill out your copyright notice in the Description page of Project Settings.


#include "WeaponWorkbenchClass.h"


// Sets default values
AWeaponWorkbenchClass::AWeaponWorkbenchClass()
{
	// Set this actor to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;
}

// Called when the game starts or when spawned
void AWeaponWorkbenchClass::BeginPlay()
{
	Super::BeginPlay();
	PlayerCharacterRef = Cast<AEndlessVendettaCharacter>(GetWorld()->GetFirstPlayerController()->GetCharacter());
}

// Called every frame
void AWeaponWorkbenchClass::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);
}

void AWeaponWorkbenchClass::Interact()
{
	if (!PlayerCharacterRef->bHasRifle) return;
	UE_LOG(LogTemp, Display, TEXT("Opening Workbench"));
	WorkbenchUI();
}

void AWeaponWorkbenchClass::InteractPrompt()
{
	//THIS IS PROMPT WHERE WILL BE PRESS F TO INTERACT OR WHATEVER
}

